UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Add an array field to a message

## Functions
LBMSDMExpDLL int | lbmsdm_msg_add_boolean_array (lbmsdm_msg_t *Message, const char *Name)
| Add an array field to a message. More...
LBMSDMExpDLL int | lbmsdm_msg_add_int8_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_uint8_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_int16_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_uint16_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_int32_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_uint32_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_int64_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_uint64_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_float_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_double_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_decimal_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_timestamp_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_message_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_string_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_unicode_array (lbmsdm_msg_t *Message, const char *Name)
LBMSDMExpDLL int | lbmsdm_msg_add_blob_array (lbmsdm_msg_t *Message, const char *Name)

## Detailed Description

The functions in this group allow array fields to be added to a message.

## Function Documentation

LBMSDMExpDLL int lbmsdm_msg_add_blob_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_boolean_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

Add an array field to a message.

Parameters

  Message | The SDM message to which the field is to be added.
  Name | Name of the field to be added.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.

LBMSDMExpDLL int lbmsdm_msg_add_decimal_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_double_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_float_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_int16_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_int32_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_int64_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_int8_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_message_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_string_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_timestamp_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_uint16_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_uint32_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_uint64_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_uint8_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_add_unicode_array | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.